
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>GPS部标平台的架构设计(六)-Android手机客户端和手机查车设计 / 憋错料</title>

    <meta name="description" content="GPS部标平台的架构设计(六)-Android手机客户端和手机查车设计 对于GPS软件平台,虽然有功能非常丰富的PC端或BS客户端,但是客户也是需要移动客户端来作为自己的辅助工具,也是需要的.做为GPS平台的设计者和开发者,在开发移动客户端的时候,也需要从常规的服务器开发和客户端开发的思维中,转变过来,当然客户的需求也需要转变,因为毕竟不能随心所欲的将PC端的所有功能需求照搬到手机客户端,手机的开发环境.网络环境.使用环境都决定了设计理念与PC端的设计是完全不一样的. 通常我们成为GPS部标平台的手机客户端为手机查车,实际上现在的功能不仅仅是查车,由于客户需求的推进">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">GPS部标平台的架构设计(六)-Android手机客户端和手机查车设计</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>对于GPS软件平台，虽然有功能非常丰富的PC端或BS客户端，但是客户也是需要移动客户端来作为自己的辅助工具，也是需要的。做为GPS平台的设计者和开发者，在开发移动客户端的时候，也需要从常规的服务器开发和客户端开发的思维中，转变过来，当然客户的需求也需要转变，因为毕竟不能随心所欲的将PC端的所有功能需求照搬到手机客户端，手机的开发环境、网络环境、使用环境都决定了设计理念与PC端的设计是完全不一样的。</p>
<p>通常我们成为GPS部标平台的手机客户端为手机查车，实际上现在的功能不仅仅是查车，由于客户需求的推进和演变，我们推出手机查车功能更加丰富，已经包含了统计报表、统计图表、车辆终端控制、个人手机定位和追踪等功能。需要购买android手机客户端源码的可以联系我([email&#160;protected])</p>
<p>在手机端的设计时，要关注一下几个设计要点:</p>
<p>1.耗电量</p>
<p>这个是很多开发者都不关心的地方，认为这不是bug。但是这就是移动开发者区别于PC开发者的要点之一，常规的情况下，如果我们采用poll的方式在GPRS的网络环境下，频繁获取大批量的数据，可以快速的将电源耗光。所以我们在开发GPS软件平台的手机客户端的时候，如果需要频繁的与服务器交换数据，就应该尽量的采用推送的方式，比如GPS报警推送。而报警推送也不应该将大量无意义的报警，推送给用户，推送什么样的报警，应该由客户来选择，比如报警订阅的功能。</p>
<p>一下是报警推送的Notification及报警数据列表</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzMwNDQ5OS8yMDE0MTAvMDgxMDE2NTgxODcxMjYyLnBuZw==.jpg" /></p>
<p>2.流量</p>
<p>很多客户在提手机端需求的时候，总是要求仅可能多的信息展现在手机上，明明那些信息毫无必要，开发者为了装逼，还是不得不将一堆垃圾显示在手机端，比如经纬度坐标，比如里程、油量、方向等等。还有我们在PC端，显示报表的时候，总是一个报表，十几个数据列的尽可能显示全部信息，但是在手机端，换来的代价就是流量的浪费，而且不仅仅是流量，大数据量的加载，会加大界面打开和显示的时间，获取数据的延迟，也会占用CPU资源，手机相应慢，造成用户体验的降低。</p>
<p>所以在设计时，数据显示要简洁有效，尽可能降低数据量，避免数据和按钮堆砌，降低流量的消耗。</p>
<p>对于基础数据要尽量的一次性加载，缓存在手机中，或者通过Preferences文件，Sqlite数据库的操作，持久化到手机中。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzMwNDQ5OS8yMDE0MTAvMDgxMDIxMTI4MTI1MzUxLnBuZw==.jpg" /></p>
<p>对于历史轨迹的查询和回放，也是采用双缓冲分页加载的方式，避免一次性查询大量的历史数据，这样即使是GPRS上网也能流畅的进行历史轨迹回放。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzMwNDQ5OS8yMDE0MTAvMDgxMDI4NTE5NTIyMTIzLnBuZw==.jpg" /></p>
<p>3.界面设计</p>
<p>前面提到，对于企业软件的移动客户端，企业用户总是希望将显示大量的报表数据，而我们不仅要提醒客户注意流量的限制，网络环境的限制，还要注意手机尺寸的限制，智能手机客户端从3.5寸到7寸的手机，都有。在界面设计上，寸土寸金，数据堆砌的简单化思维，无疑是异常灾难。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzMwNDQ5OS8yMDE0MTAvMDgxMDE4MjIyMzM3NzM4LnBuZw==.jpg" /></p>
<p>我们在设计时，必须要提炼数据接口，提供最少最有效的数据，然后采用 Drill down的方式，对于详细数据的客户需求，分层次加载。比如报警，我们打开界面并不是一次性的显示所有的报警，而是区别于PC端的设计方式，采用分类显示的方式，如果用户关心哪一类报警，再次显示该类报警的详细列表。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzMwNDQ5OS8yMDE0MTAvMDgxMDE3MjA2NTUyNTk1LnBuZw==.jpg" /></p>
<p>4.单手操作的考虑</p>
<p>PC端的开发由于有鼠标，可以东点一下，西点一下，很灵活，我们想象一个手拿着手机，能不能东点一下，西点一下，很麻烦。所以操作按钮尽量靠近，方便单手操作。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzMwNDQ5OS8yMDE0MTAvMDgxMDI0NTI2MDg5NzAwLnBuZw==.jpg" /></p>
<p>5.报表与图标</p>
<p>由于是为企业客户开发移动客户端，所有报表和图表的需求，不可回避，对于报表，必须要考虑分页加载，既然分页，就必须要加上分页按钮，方便分页。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 08:50:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/android/" title="android">android</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.biecuoliao.com/tag/2014/" title="2014">2014</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>GPS部标平台的架构设计(六)-Android手机客户端和手机查车设计的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47qBn10.html" rel="bookmark">GPS部标平台的架构设计&lpar;四&rpar;-百度地图设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				部标GPS软件平台之百度地图设计 地图是客户端中不可缺少的一个模块,很多人在设计和画图时候,喜欢加上地图引擎这样高大上的字眼,显得自己的平台有内涵,说白了就是用第三方的SDK来开发,早期的GPS监 控软件用的都是mapx.mapxtrem.acrgis之类的,使用的都是本地地图.不仅要购买正版地图,还要购买价格不菲的地图引擎license,服务器版的部署的时候,还要绑定到服务器ID上,现在这种开发方式已被抛弃.现在的百度地图.谷歌地图提供的SDK接口丰富,开发方便,系统稳定,大家都用的很爽. 在			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qvJn74.html" rel="bookmark">GPS部标平台的架构设计&lpar;十&rpar;-基于Asp&period;NET MVC构建GPS部标平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在当前很多的GPS平台当中,有很多是基于asp.NET+siverlight开发的遗留项目,代码混乱而又难以维护,各种耦合和关联,要命的是界面也没见到比Javascript做的控件有多好看,随着需求的增多,平台已经臃肿不堪. 设计基于.NET的GPS部标平台,我们坚定不移的选择了基于JQUERY+Asp.NET MVC来作为前端交互和后台处理的框架.选用一个灵活的脚手架,同时团队又能掌握这个脚手架为团队所用. 对于一个web应用项目,基于MVC的框架,前面文章提到过,最大的优点就是结构清晰,强制			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0npEAv4.html" rel="bookmark">GPS部标平台的架构设计&lpar;五&rpar;-地图服务算法库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GPS平台,需要和各种地图打交道,需要解决以下的问题: 1.坐标偏移,这个不用多说,需要将原始坐标加偏,然后在百度地图或谷歌上显示出来,需要注意的是百度地图的加偏是偏上再偏,谷歌.高德地图等是火星坐标: 2.坐标解偏,或者纠偏,这个我们也是需要的,因为当用户在地图上画出的各种区域,标注,发送到后台存储的坐标都是基于地图所采用的坐标系统,因而是偏移的,这就面临一个严重的问题,因为在部标808协议中,对于区域报警,需要将区域的顶点坐标,下发给终端,终端在实际运行中,不断用GPS坐标和区域坐标进行比对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXjkqq3.html" rel="bookmark">GPS部标平台的架构设计&lpar;九&rpar;-GPS监控客户端设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				交通部的部标过检,所有的测试都是从客户端发起的,也是在客户端体现的,在客户端承载了部标标准所要求的所有的功能,是整个部标平台当中工作量最大的部分,也是最繁琐的部分. 客户端设计面临两个问题: 1.基于CS还是基于BS,这是个问题 萝卜白菜各有所爱,客户要什么,我们就开发什么,从客户来讲,更适应桌面客户端,没有浏览器的七七八八问题,速度感觉上也比网页的快,操作方便.当然网页客户端也有很大的优势,部署和维护方便,不需要开发升级系统. 2.与服务端的交互通信,采用Socket, WebService还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02Dq1o4.html" rel="bookmark">GPS部标监控平台的架构设计&lpar;八&rpar;-基于WCF的平台数据通信设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				总体来讲,GPS部标平台的软件开发是一个对网络通信和应用程序之间通信的技术应用密集型的开发工作,也是有一定设计技术含量的工作. 1.设计通信接口 在设计的时候,根据职责划分,拆分成不同的应用子系统,对各个子系统进行功能隔离,并通过设计接口规定子系统直接的调用规约. 首先我们根据部标平台的要求,设计和开发出各个主要的服务器子系统,这是平台中最核心的子系统,在实际的应用中,由于车辆规模的大小和行业需求,还会扩展出各种业务子系统.核心子系统如下: 1)808GPS服务器,采用交通部的部标808协议,负			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dx7a70.html" rel="bookmark">基于Spring4&plus;SpringMVC4&plus;Mybatis3&plus;Hibernate4&plus;Junit4框架构建高性能企业级的部标GPS监控平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开发企业级的部标GPS监控平台,投入的开发力量很大,开发周期也很长,选择主流的开发语言以及成熟的开源技术框架来构建基础平台,是最恰当不过的事情,在设计之初就避免掉了技术选型的风险,避免以后在开发过程中,不断的填坑走弯路,以至于整个团队被坑埋掉.做GPS平台这么多年,以前就了解到一些开发团队过于关注某一种语言的优势,比如过于选用GO,Erlang,python,php等技术,最后团队熟悉这些技术的关键人员离职了,都没人接手,不能不说是个悲剧.所以说平台的技术架构选型要注重的是稳健,均衡而不是偏激,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lLw6o0.html" rel="bookmark">基于BootStrap框架构建快速响应的GPS部标监控平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近一个客户要求将gps部标平台移植到bootStrap框架作为前端框架,符合交通部796部标只是他们的一个基本要求,重点是要和他们的云物流平台进行适配.我自己先浏览了客户的云物流平台的界面,采用的是bootStrap框架,自适应页面大小,基于html5开发,界面设计非常的简洁,清爽,这样可以快速的关注到自己想看到的内容.不像传统的物流网站千人一面,充斥着大量的物流广告还配有slider动图效果让人眼晕,显得很cheap. 显然如果直接将一个以后台数据展现为主的GPS管理平台集成到这样一个物流网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ObEw90.html" rel="bookmark">GPS部标监控平台的功能设计&lpar;一&rpar;-功能列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在2011年交通部的796标准推出后,随着各地交管部门的硬性要求,大多数的GPS监控系统或者车辆管理系统或者物流管理系统,无论是旧的,还是新开发的,都必须要以796标准为基础蓝本,首先要满足796的要求,然后在此基础上增加行业应用的个性化要求,如物流运输车辆非常关心的油耗管理,冷链运输非常关心温度控制等等. 所以开发GPS平台的时候,必须要首先阅读交通部的jt/t 796 , jt/t808和jt/t809的文档,以此作为自己的功能设计的需求来源,行业需求或用户需求是排在后面的.很多开发团队做出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wApa1M.html" rel="bookmark">交通部796部标平台开发索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.为什么部标平台的开发周期长? 1)首先对于交通部部标标准文档的阅读.理解和消化需要很长时间,你面对的是冷冰冰的交通部信息中心颁发的jt/t 796.808.809协议文档,面对文字的歧义,这个消化.曲解.走弯路的时间成本,伴随在整个软件开发周期当中,一直到你进京赶考,进行部标检测,最终过检.所以这个时间是无法估计的,理解完毕,将理解的文档转化成开发团队必须要完成的功能用例,中间的误差极大,这也是很多开发者容易自信.乐观冒进的原因. 你必须需要阅读和理解的协议文档有四份: 796文档.808协			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM6DQX3.html" rel="bookmark" class="title">软件无线电工具 gqrx</a>
					<div>
						从某处二手买了一个设备,在我的Ubuntu系统下lsusb后者dmesg显示为: p { margin-bottom: 0.25cm; line-height: 120% } a:link { } R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3OzpG0.html" rel="bookmark" class="title">第十章----java循环练习题</a>
					<div>
						String str = &quot;像勇士这样的球队,只有防守一松懈,他们才能抓住机会,打完了三场,爵士还是没找到应对勇士的办法&quot;; 1, 写代码找出关键字&quot;球队&quot;,& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGWyZM.html" rel="bookmark" class="title">性能测试工具LoadRunner中进程运行和线程运行区别</a>
					<div>
						loadrunner controller将使用驱动程序mmdrv运行Vuser.用户可以在controller的run-time setting中选择Vuser的运行方式, 是多进程方式or多线程方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjBxY0.html" rel="bookmark" class="title">java io学习记录（路径分隔符）</a>
					<div>
						java路径分隔符(路径表示) path=&quot;E:\\xp\\test\\2.jpg&quot;; path=&quot;E:/xp/test/2.jpg&quot;; path=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjX8m0.html" rel="bookmark" class="title">windows下编译配置libnet-1&period;2-rc3</a>
					<div>
						官网:http://packetfactory.openwall.net/projects/libnet/ 下载(有zip和tar.gz两个版本):https://github.com/sam-git ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgaXk3.html" rel="bookmark" class="title">pagefile&period;sys and heberfil&period;sys</a>
					<div>
						dub 删除heberfil.sys大文件的方法 方法1:Windows/system32中的cmd.exe  输入 powercfg -h off,即可关闭休眠功能,同时 Hiberfil.sys  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyK9wa3.html" rel="bookmark" class="title">RPM Fusion on CentOS7</a>
					<div>
						RPM Fusion RPM Fusion provides software that the Fedora Project or Red Hat doesn't want to ship. Tha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXL9JqM.html" rel="bookmark" class="title">最大上升子序列的理解</a>
					<div>
						经典dp,两重for循环: int maxv = 1; for (int i = 1; i &lt; count; i++) { printf(&quot;check element: %d\n&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RwQXq3.html" rel="bookmark" class="title">六&period; 饼图</a>
					<div>
						import matplotlib.pyplot as plt slices = [7,2,2,13] activities = ['sleeping','eating','working','pla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZbOWm3.html" rel="bookmark" class="title">Linux Shell字符串操作&lpar;长度&bsol;查找&bsol;替换&rpar;详解</a>
					<div>
						在做shell批处理程序时候,经常会涉及到字符串相关操作.有很多命令语句,如:awk,sed都可以做字符串各种操作. 其实shell内置一系列操作符号,可以达到类似效果,大家知道,使用内部操作符会省略 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/478j2yM.html" rel="bookmark" class="title">XSS传染基础&mdash;&mdash;JavaScript中的opener、iframe</a>
					<div>
						最近研究XSS,根据etherDream大神的博客 延长XSS生命周期 写了一个子页面父页面相互修改的demo. 一. 子页面.父页面相互修改——window.opener.window.open 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41oJWo0.html" rel="bookmark" class="title">InnoDB 5&period;6 新特性之一：FullTEXT Indexes&lbrack;1&period;简单介绍&rsqb;</a>
					<div>
						先来看一条SQL语句: SELECT * FROM aa where acol like '%like_normal%'; 当我们使用Innodb时,无论如何对这条语句进行优化,都是无意义的:有的人会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymZWeM.html" rel="bookmark" class="title">knockout&plus;bootstrap--一些复杂的应用合集</a>
					<div>
						一.针对My97日历控件的绑定 普通绑定和特殊格式绑定(红色部分) &lt;!-- ko foreach: items --&gt; &lt;td class=&quot;ruyeeTableTDLa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471Znb0.html" rel="bookmark" class="title">理解离散傅立叶变换（一&period; 傅立叶变换的由来）</a>
					<div>
						理解离散傅立叶变换(一) ------傅立叶变换的由来 关于傅立叶变换,不管是书本还是在网上可以非常easy找到关于傅立叶变换的描写叙述,可是大都是些故弄玄虚的文章,太过抽象,尽是一些让人看了就望而生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqB2y4.html" rel="bookmark" class="title">Pathway富集分析气泡图</a>
					<div>
						data.tsv &gt; pathway = read.table(&quot;data.tsv&quot;,header = T, sep=&quot;\t&quot;) &gt; library ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgE6Yg3.html" rel="bookmark" class="title">W 3 School学习数据库</a>
					<div>
						W3 School 学习数据库地址: http://www.jb51.net/w3school/sql/sql_select.htm 一,SQL语法 SQL DML 和 DDL 可以把 SQL 分为两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QaRzw4.html" rel="bookmark" class="title">WinForm连续点击按钮只打开一次窗体</a>
					<div>
						许多朋友,学习C#时,制作WinForm小程序总会有一个问题,如果我们在父窗体设置的是点击一个按钮,打开一个子窗体,连续点击总会连续出现一样窗体,可是我们有时只想打开一次窗体,怎么办? 呵呵,我来方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkKYR3.html" rel="bookmark" class="title">Loadrunner &vert; 录制脚本时弹不出IE的解决办法</a>
					<div>
						Loadrunner在录制脚本的时候有时候会遇到弹不出IE的问题,那怎么解决呢?别急,按照以下几个步骤操作,一般就可以解决这个问题. 1. IE浏览器取消勾选[启用第三方浏览器扩展] 启动IE,从[工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPoR9M.html" rel="bookmark" class="title">Result Cache特性之SQL QUERY结果集缓存</a>
					<div>
						在Oracle 11g中,推出了Result Cache新特性,对于结果集合进行缓存处理,减少了IO,提高了性能.服务器端结果集缓存位于共享池中,缓存这SQL query结果,包括sql查询结果.函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLxxnvM.html" rel="bookmark" class="title">java集合框架---泛型总结</a>
					<div>
						/* 泛型:指定集合类型,在运行而不是编译时时就发现问题,消除安全隐患.避免强转. */ package pack; import java.util.ArrayList; import java.u ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
